# Fetching a list of Project Snapshots

Gets a list of Project Snapshots. You can only see snapshots for projects where you have the Edit Financials project permission or higher.


This endpoint returns structured Project Snapshots objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the project_snapshots top-level JSON key.
Please see our Response Format section for more information.

Endpoint: GET /project_snapshots
Version: 1.0.0

## Query parameters:

  - `by_title` (string)
    Filter for snapshots with a title that match the specified search term. This filter is not case sensitive.

  - `include` (string)
    Any of the below associations can be included in your request by providing the include param, e.g. include=association1,association2.
- project_snapshot_assignments (Project::Snapshots::Models::ProjectSnapshotAssignment) - Retrieves task assignments saved in snapshots. The response will include project_snapshot_assignment_ids, which references the data in the project_snapshot_assignments top-level key.
- project_snapshot_custom_field_values (Project::Snapshots::Models::ProjectSnapshotCustomFieldValue) - Retrieves project custom fields saved in snapshots. The response will include project_snapshot_custom_field_value_ids, which references the data in the project_snapshot_custom_field_values top-level key.
- project_snapshot_resources (Project::Snapshots::Models::ProjectSnapshotResource) - Retrieves the resources saved in snapshots. The response will include project_snapshot_resource_ids, which references the data in the project_snapshot_resources top-level key.
- project_snapshot_task_custom_field_values (Project::Snapshots::Models::ProjectSnapshotCustomFieldValue) - Retrieves task custom fields saved in snapshots. The response will include project_snapshot_task_custom_field_value_ids, which references the data in the project_snapshot_custom_field_values top-level key.
- project_snapshot_tasks (Project::Snapshots::Models::ProjectSnapshotTask) - Retrieves the tasks saved in snapshots. The response will include project_snapshot_task_ids, which references the data in the project_snapshot_tasks top-level key.

  - `is_baseline` (boolean)
    Return only snapshots that are marked as the baseline.

  - `only` (string)
    Allows you to request one or more resources directly by ID. Multiple IDs can be supplied
in a comma separated list, like GET /api/v1/workspaces.json?only=5,6,7.

  - `order` (string)
    Supply order with the name of a valid sort field for the endpoint and a direction.

Valid values: created_at:asc and created_at:desc.

  - `page` (integer)

  - `per_page` (integer)

  - `workspace_id` (integer)
    Filter for snapshots by workspace ID.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `project_snapshots` (object)

  - `project_snapshot_resources` (object)

  - `project_snapshot_tasks` (object)

  - `project_snapshot_custom_field_values` (object)

  - `project_snapshot_assignments` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


